import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.sql.*;
public class kuvaja extends HttpServlet{
	Connection cn;
	Statement st,st1,st2,st3;
	String lause,lause1,lause2,lause3, user, pass, esitaja, plaat, stiil;
	int e,p,s,x;
	ResultSet rs,rs1,rs2,rs3;
	boolean yhendus=false;
	
	public void doGet(HttpServletRequest kysimus, HttpServletResponse vastus) throws IOException, ServletException{
		PrintWriter valja = vastus.getWriter();
		valja.println("<html><head><title>.o0|ANDMETE VAATAMINE|0o.</title></head><body>");
		valja.println("<center><h2>Andmete Vaatamine</h2></center><br/>");
		//KASUTAJANIME JA PAROOLI KÜSIMINE (KUI NEID VEEL POLE)
		user=kysimus.getParameter("u");
		pass=kysimus.getParameter("p");
		if(user!=null && pass!=null && user.length()!=0 && pass.length()!=0){
			try{
				Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
				cn=DriverManager.getConnection("jdbc:odbc:plaadikogu", user, pass);
				if(!cn.isClosed()){yhendus=true;}
			}catch(Exception e){}
		}
		//KUI ÜHENDUST POLE
		if(yhendus==false){
			valja.println("Õigused puuduvad");
		}else{ //KUI KASUTAJANIMI JA PAROOL ON OLEMAS JA ÜHENDUS SAADUD
			valja.println("<h3>Vali kuvatav kategooria</h3><br/><form><table>");
			//PEAB PASSI ja USERIT MEELES//
			valja.println("<input type='hidden' name='u' value='"+user+"' >");
			valja.println("<input type='hidden' name='p' value='"+pass+"' >");
			/////////////////////////////////
			//KOOSTAB ESITAJATE VALIKU
			valja.println("<tr><td>Esitaja</td><td><SELECT name='esit'>");
			valja.println("<option value=''>--valimata--</option>");
				try{
					st=cn.createStatement();
					lause="SELECT ID,Nimi FROM Esitajad ORDER BY Nimi ASC";
					rs=st.executeQuery(lause);
					while (rs.next()!=false){
						valja.println("<option value='"+rs.getString("ID")+"'>"+rs.getString("Nimi")+"</option>");
					}
				}catch(Exception e){}
			////////////////////////////////
			//KOOSTAB PLAATIDE VALIKU
			valja.println("<tr><td>Plaat</td><td><SELECT name='plaadid'>");
			valja.println("<option value=''>--valimata--</option>");
				try{
					st=cn.createStatement();
					lause="SELECT ID,pealkiri FROM Plaadid ORDER BY Pealkiri ASC";
					rs=st.executeQuery(lause);
					while (rs.next()!=false){
						valja.println("<option value='"+rs.getString("ID")+"'>"+rs.getString("Pealkiri")+"</option>");
					}
				}catch(Exception e){}
			///////////////////////////////////
			//KOOSTAB STIILIDE VALIKU
			valja.println("<tr><td>Stiil</td><td><SELECT name='stiilid'>");
			valja.println("<option value=''>--valimata--</option>");
				try{
					st=cn.createStatement();
					lause="SELECT ID,Nimetus FROM Stiilid ORDER BY Nimetus ASC";
					rs=st.executeQuery(lause);
					while (rs.next()!=false){
						valja.println("<option value='"+rs.getString("ID")+"'>"+rs.getString("Nimetus")+"</option>");
					}
				}catch(Exception e){}
			////////////////////////////////////
			valja.println("<tr><td><input type='submit' value='Vaata'></td></tr>");
			valja.println("</table></form><br/></br>");
			//SISSETULNUD ANDMETE KONTROLL/////
			esitaja=kysimus.getParameter("esit");
			plaat=kysimus.getParameter("plaadid");
			stiil=kysimus.getParameter("stiilid");
			if(esitaja!=null && esitaja.length()!=0){e=1;}else{e=0;}
			if(plaat!=null && plaat.length()!=0){p=10;}else{p=0;} 
			if(stiil!=null && stiil.length()!=0){s=100;}else{s=0;}
			x=e+p+s;
			switch(x){
				case 0:
					break;
				case 1:
					lause="SELECT * FROM palad WHERE esitaja="+esitaja;
					break;
				case 10:
					lause="SELECT * FROM palad WHERE CD="+plaat;
					break;
				case 11:
					lause="SELECT * FROM palad WHERE esitaja="+esitaja+" AND CD="+plaat;
					break;
				case 100:
					lause="SELECT * FROM palad WHERE stiil="+stiil;
					break;
				case 101:
					lause="SELECT * FROM palad WHERE stiil="+stiil+" AND Esitaja="+esitaja;
					break;
				case 110:
					lause="SELECT * FROM palad WHERE stiil="+stiil+" AND CD="+plaat;
					break;
				case 111:
					lause="SELECT * FROM palad WHERE stiil="+stiil+" AND CD="+plaat+" AND Esitaja="+esitaja;
			}
			//valja.println(lause+"<br>");
			if(x!=0){
				try{
					st=cn.createStatement();
					rs=st.executeQuery(lause);
					valja.println("TULEMUSED: <br/><table border='2'>");
					if(e!=0){
						st1=cn.createStatement();
						lause1="SELECT * FROM esitajad WHERE ID="+esitaja;
						
						rs1=st1.executeQuery(lause1);
						rs1.next();
						valja.println("<tr><td><b>Esitaja</b></td><td><b>Veebileht</b></td></tr>");
						valja.println("<tr><td>"+rs1.getString("Nimi")+"</td><td>"+rs1.getString("Veebileht")+"</td></tr>");
					}
					if(p!=0){
						st1=cn.createStatement();
						lause1="SELECT * FROM plaadid WHERE ID="+plaat;
						rs1=st1.executeQuery(lause1);
						rs1.next();
						valja.println("<tr><td><b>CD</b></td><td><b>Väljaandja</b></td><td><b>Välj. aasta</b></td></tr>");
						valja.println("<tr border='2'><td>"+rs1.getString("Pealkiri")+"</td><td>"+rs1.getString("Valjaandja")+"</td><td>"+rs1.getInt("V_aasta")+"</td></tr>");
					}
					valja.println("<tr><td><b>Pealkiri</b></td><td><b>Esitaja</b></td><td><b>CD</b></td><td><b>Stiil</b></td><td><b>Pikkus</b></td></tr>");
					while(rs.next()!=false){
						lause1="SELECT * FROM esitajad WHERE ID="+rs.getString("Esitaja");
						lause2="SELECT * FROM plaadid WHERE ID="+rs.getString("CD");
						lause3="SELECT * FROM stiilid WHERE ID="+rs.getString("Stiil");
						st1=cn.createStatement();
						st2=cn.createStatement();
						st3=cn.createStatement();
						rs1=st1.executeQuery(lause1);
						rs2=st2.executeQuery(lause2);
						rs3=st3.executeQuery(lause3);
						rs1.next();
						rs2.next();
						rs3.next();
						valja.println("<tr><td>"+rs.getString("Pealkiri")+"</td><td>"+rs1.getString("Nimi")+"</td><td>"+rs2.getString("Pealkiri")+
							"</td><td>"+rs3.getString("Nimetus")+"</td><td>"+rs.getString("Pikkus")+"</td><td><a href='../looMuutja.jsp?u="+user+"&p="+pass+"&ID="+rs.getString("ID")+"'>MUUDA</a></td></tr>");
					}
				}catch(Exception e){valja.println(e);}
			} 
		}
		try{cn.close();}catch(Exception e){valja.println("Tekkis viga: "+e);}
		valja.println("</table><br/><a href='login?u="+user+"&p="+pass+"'>TAGASI</a>");
		valja.println("</body></html>");
	}
}